Subject: Re: miss section in menuconfig generator?

From: Badalian Vyacheslav <[email-masked]>
Date: Tue, 22 Apr 2008 14:47:56 +0400

I understand.
This values are hidden. And get values from "default NF_NAT && 
NF_CONNTRACK_PPTP" if "user not set this values".
But my config have this values from older config version (make 
menuconfig) and not set it again that i change NF_CONNTRACK_PPTP to 
Y/N.  Also if i one time save config - it write value of hidden param (i 
say about CONFIG_NF_NAT_PPTP now).
Have i chance to reconfig this value if menuconfig set it 1 time for me?

Thanks!

> I found.
> its becouse in file ./net/ipv4/netfilter/Kconfig all this options have 
> NULL "tristate" like this:
>
> config NF_NAT_PROTO_GRE
>        tristate
>        depends on NF_NAT && NF_CT_PROTO_GRE
>
> Is that normal? How to compile that parts in kernel (not modules)?
>
> Thanks!
>
>> Hello all. Sorry if its not bug.
>>
>> look to section "IP: Netfilter Configuration" in .config i see values 
>> like this:
>> CONFIG_NF_NAT_PROTO_GRE=m
>>
>> but in menuconfig i can find it in this section ("network->Network 
>> packet filtering framework->IP: Netfilter Configuration"). its 
>> blackhole? =)
>>
>> I attach my config.
>>
>> Thanks all
>>
>
> -- 
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>